> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/zametki-piny/28.-mutaciya-sokhranit-neskolko-notes-paketnaya-operaciya.md).

# 28. Мутация: сохранить несколько "Notes", пакетная операция

Это мутация позволяет прикреплять несколько заметок (Notes) к указанному участку поля (Field).

{% hint style="success" %}
Максимальное количество заметок для сохранения — 25.
{% endhint %}

{% hint style="success" %}
Добавьте `uuid` атрибут в вводные данные, чтобы обновить заметку.
{% endhint %}

* Заметка может быть связана с Участком через его уникальный идентификатор `fieldUuid,`  к связанному набору данных почвы (SoilDataset) через `soilDatasetUuid`, к карте зон (ZonesMap) через `vectorAnalysisMapUuid`.
* Координату Заметки можно задать с помощью `centroid` атрибута, для которого требуются определённые `latitude` и `longitude` значения.&#x20;
* Тип Заметки можно указать с помощью `тип` атрибута с допустимыми значениями `PLANNED` или `REAL`.&#x20;
* Описание Заметки можно указать с помощью `comment` атрибута. Если описание должно быть многострочным, `comment` должен содержать строку с символами переноса строки `\\n` чтобы разделять строки. Например: `"Первая строка. находится здесь\\nВторая строка находится здесь.\\nТретья строка находится здесь."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутация BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      центроид: {широта: 51.177747, долгота: -113.533613},
      тип: PLANNED,
      комментарий: "Пакетное сохранение: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      центроид: {широта: 51.177747, долгота: -113.533613},
      type: REAL,
      комментарий: "Пакетное обновление: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      центроид: {широта: 51.177747, долгота: -113.533613},
      type: REAL,
      комментарий: "Пакетное сохранение: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      центроид: {широта: 51.177747, долгота: -113.533613},
      type: REAL,
      комментарий: "Пакетное сохранение: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    датаСоздания
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/zametki-piny/28.-mutaciya-sokhranit-neskolko-notes-paketnaya-operaciya.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
